> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datafold.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieve details of a specific data source by ID via the Datafold API.

# Get a data source



## OpenAPI

````yaml get /api/v1/data_sources/{data_source_id}
openapi: 3.1.0
info:
  contact:
    email: support@datafold.com
    name: API Support
  description: >-
    The Datafold API reference is a guide to our available endpoints and
    authentication methods.

    If you're just getting started with Datafold, we recommend first checking
    out our [documentation](https://docs.datafold.com).


    :::info
      To use the Datafold API, you should first create a Datafold API Key,
      which should be stored as a local environment variable named DATAFOLD_API_KEY.
      This can be set in your Datafold Cloud's Settings under the Account page.
    :::
  title: Datafold API
  version: latest
servers:
  - description: Default server
    url: https://app.datafold.com
security:
  - ApiKeyAuth: []
paths:
  /api/v1/data_sources/{data_source_id}:
    get:
      tags:
        - Data sources
      summary: Get a data source
      operationId: get_data_source_api_v1_data_sources__data_source_id__get
      parameters:
        - in: path
          name: data_source_id
          required: true
          schema:
            title: Data source id
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                discriminator:
                  mapping:
                    athena:
                      $ref: '#/components/schemas/ApiDataSourceAwsAthena'
                    aws_s3:
                      $ref: '#/components/schemas/ApiDataSourceS3'
                    azure_synapse:
                      $ref: '#/components/schemas/ApiDataSourceAzureSynapse'
                    bigquery:
                      $ref: '#/components/schemas/ApiDataSourceBigQuery'
                    databricks:
                      $ref: '#/components/schemas/ApiDataSourceDatabricks'
                    db2:
                      $ref: '#/components/schemas/ApiDataSourceDB2'
                    dremio:
                      $ref: '#/components/schemas/ApiDataSourceDremio'
                    duckdb:
                      $ref: '#/components/schemas/ApiDataSourceDuckDB'
                    files_azure_datalake:
                      $ref: '#/components/schemas/ApiDataSourceAzureDataLake'
                    google_cloud_storage:
                      $ref: '#/components/schemas/ApiDataSourceGCS'
                    mariadb:
                      $ref: '#/components/schemas/ApiDataSourceMariaDB'
                    microsoft_fabric:
                      $ref: '#/components/schemas/ApiDataSourceMicrosoftFabric'
                    mongodb:
                      $ref: '#/components/schemas/ApiDataSourceMongoDB'
                    mssql:
                      $ref: '#/components/schemas/ApiDataSourceMSSQL'
                    mysql:
                      $ref: '#/components/schemas/ApiDataSourceMySQL'
                    netezza:
                      $ref: '#/components/schemas/ApiDataSourceNetezza'
                    oracle:
                      $ref: '#/components/schemas/ApiDataSourceOracle'
                    pg:
                      $ref: '#/components/schemas/ApiDataSourcePostgres'
                    postgres_aurora:
                      $ref: '#/components/schemas/ApiDataSourcePostgresAurora'
                    postgres_aws_rds:
                      $ref: '#/components/schemas/ApiDataSourcePostgresRds'
                    redshift:
                      $ref: '#/components/schemas/ApiDataSourceRedshift'
                    sap_hana:
                      $ref: '#/components/schemas/ApiDataSourceSapHana'
                    snowflake:
                      $ref: '#/components/schemas/ApiDataSourceSnowflake'
                    starburst:
                      $ref: '#/components/schemas/ApiDataSourceStarburst'
                    teradata:
                      $ref: '#/components/schemas/ApiDataSourceTeradata'
                    trino:
                      $ref: '#/components/schemas/ApiDataSourceTrino'
                    vertica:
                      $ref: '#/components/schemas/ApiDataSourceVertica'
                  propertyName: type
                oneOf:
                  - $ref: '#/components/schemas/ApiDataSourceBigQuery'
                  - $ref: '#/components/schemas/ApiDataSourceDatabricks'
                  - $ref: '#/components/schemas/ApiDataSourceDuckDB'
                  - $ref: '#/components/schemas/ApiDataSourceMongoDB'
                  - $ref: '#/components/schemas/ApiDataSourceMySQL'
                  - $ref: '#/components/schemas/ApiDataSourceMariaDB'
                  - $ref: '#/components/schemas/ApiDataSourceMSSQL'
                  - $ref: '#/components/schemas/ApiDataSourceOracle'
                  - $ref: '#/components/schemas/ApiDataSourcePostgres'
                  - $ref: '#/components/schemas/ApiDataSourcePostgresAurora'
                  - $ref: '#/components/schemas/ApiDataSourcePostgresRds'
                  - $ref: '#/components/schemas/ApiDataSourceRedshift'
                  - $ref: '#/components/schemas/ApiDataSourceTeradata'
                  - $ref: '#/components/schemas/ApiDataSourceSapHana'
                  - $ref: '#/components/schemas/ApiDataSourceDB2'
                  - $ref: '#/components/schemas/ApiDataSourceAwsAthena'
                  - $ref: '#/components/schemas/ApiDataSourceSnowflake'
                  - $ref: '#/components/schemas/ApiDataSourceDremio'
                  - $ref: '#/components/schemas/ApiDataSourceStarburst'
                  - $ref: '#/components/schemas/ApiDataSourceNetezza'
                  - $ref: '#/components/schemas/ApiDataSourceAzureDataLake'
                  - $ref: '#/components/schemas/ApiDataSourceGCS'
                  - $ref: '#/components/schemas/ApiDataSourceS3'
                  - $ref: '#/components/schemas/ApiDataSourceAzureSynapse'
                  - $ref: '#/components/schemas/ApiDataSourceMicrosoftFabric'
                  - $ref: '#/components/schemas/ApiDataSourceVertica'
                  - $ref: '#/components/schemas/ApiDataSourceTrino'
                title: >-
                  Response Get Data Source Api V1 Data Sources  Data Source Id 
                  Get
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ApiDataSourceAwsAthena:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/AwsAthenaConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: athena
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceAwsAthena
      type: object
    ApiDataSourceS3:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/AWSS3Config'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: aws_s3
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceS3
      type: object
    ApiDataSourceAzureSynapse:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/MSSQLConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: azure_synapse
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceAzureSynapse
      type: object
    ApiDataSourceBigQuery:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/BigQueryConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: bigquery
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceBigQuery
      type: object
    ApiDataSourceDatabricks:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/DatabricksConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: databricks
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceDatabricks
      type: object
    ApiDataSourceDB2:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/DB2Config'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: db2
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceDB2
      type: object
    ApiDataSourceDremio:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/DremioConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: dremio
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceDremio
      type: object
    ApiDataSourceDuckDB:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/DuckDBConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: duckdb
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceDuckDB
      type: object
    ApiDataSourceAzureDataLake:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/AzureDataLakeConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: files_azure_datalake
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceAzureDataLake
      type: object
    ApiDataSourceGCS:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/GCSConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: google_cloud_storage
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceGCS
      type: object
    ApiDataSourceMariaDB:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/MariaDBConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: mariadb
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceMariaDB
      type: object
    ApiDataSourceMicrosoftFabric:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/MicrosoftFabricConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: microsoft_fabric
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceMicrosoftFabric
      type: object
    ApiDataSourceMongoDB:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/MongoDBConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: mongodb
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceMongoDB
      type: object
    ApiDataSourceMSSQL:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/MSSQLConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: mssql
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceMSSQL
      type: object
    ApiDataSourceMySQL:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/MySQLConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: mysql
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceMySQL
      type: object
    ApiDataSourceNetezza:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/NetezzaConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: netezza
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceNetezza
      type: object
    ApiDataSourceOracle:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/OracleConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: oracle
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceOracle
      type: object
    ApiDataSourcePostgres:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/PostgreSQLConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: pg
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourcePostgres
      type: object
    ApiDataSourcePostgresAurora:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/PostgreSQLAuroraConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: postgres_aurora
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourcePostgresAurora
      type: object
    ApiDataSourcePostgresRds:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/PostgreSQLAuroraConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: postgres_aws_rds
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourcePostgresRds
      type: object
    ApiDataSourceRedshift:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/RedshiftConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: redshift
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceRedshift
      type: object
    ApiDataSourceSapHana:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Exclude List
        catalog_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Include List
        created_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From
        data_retention_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Retention Days
        disable_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Profiling
        disable_schema_indexing:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Disable Schema Indexing
        float_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Float Tolerance
        group_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Group Ids
        groups:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Groups
        hidden:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Hidden
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        is_paused:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Is Paused
        last_test:
          anyOf:
            - $ref: '#/components/schemas/ApiDataSourceTestStatus'
            - type: 'null'
        lineage_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Lineage Schedule
        max_allowed_connections:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Allowed Connections
        name:
          title: Name
          type: string
        oauth_dwh_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Oauth Dwh Active
        options:
          anyOf:
            - $ref: '#/components/schemas/SapHanaConfig'
            - type: 'null'
        profile_exclude_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Exclude List
        profile_include_list:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Include List
        profile_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Schedule
        queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Name
        scheduled_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduled Queue Name
        schema_indexing_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Indexing Schedule
        schema_max_age_s:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Max Age S
        secret_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        temp_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Temp Schema
        type:
          const: sap_hana
          title: Type
          type: string
        view_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: View Only
      required:
        - name
        - type
      title: ApiDataSourceSapHana
      type: object
    ApiDataSourceSnowflake:
      properties:
        accessible:
          default: true
          title: Accessible
          type: boolean
        catalog_exclude_list:
[...]
